Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.richParser
Class XMLStreamReaderExtImpl

    java.lang.Object
      org.apache.xmlbeans.impl.richParser.XMLStreamReaderExtImpl

All Implemented Interfaces:
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader, XMLStreamReaderExt

    public class XMLStreamReaderExtImpl

extends java.lang.Object
implements XMLStreamReaderExt

Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 17, 2003

Field Summary

Fields inherited from interface org.apache.xmlbeans.impl.richParser.XMLStreamReaderExt
`WS_COLLAPSE, WS_PRESERVE, WS_REPLACE`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`XMLStreamReaderExtImpl(javax.xml.stream.XMLStreamReader xmlStream)`

Method Summary
`void` | `close()`
`java.io.InputStream` | `getAttributeBase64Value(int index)` Returns the decoded base64 value as anInputStream.
`java.io.InputStream` | `getAttributeBase64Value(java.lang.String uri, java.lang.String local)` Returns the decoded base64 value as anInputStream.
`java.math.BigDecimal` | `getAttributeBigDecimalValue(int index)` Returns the value as a `BigDecimal`.
`java.math.BigDecimal` | `getAttributeBigDecimalValue(java.lang.String uri, java.lang.String local)` Returns the value as a `BigDecimal`.
`java.math.BigInteger` | `getAttributeBigIntegerValue(int index)` Returns the value as a `BigInteger`.
`java.math.BigInteger` | `getAttributeBigIntegerValue(java.lang.String uri, java.lang.String local)` Returns the value as a `BigInteger`.
`boolean` | `getAttributeBooleanValue(int index)` Returns the value as a boolean.
`boolean` | `getAttributeBooleanValue(java.lang.String uri, java.lang.String local)` Returns the value as a boolean.
`byte` | `getAttributeByteValue(int index)` Returns the value as a byte.
`byte` | `getAttributeByteValue(java.lang.String uri, java.lang.String local)` Returns the value as a byte.
`XmlCalendar` | `getAttributeCalendarValue(int index)` Returns the value as an XmlCalendar which extends `Calendar`.
`XmlCalendar` | `getAttributeCalendarValue(java.lang.String uri, java.lang.String local)` Returns the value as an XmlCalendar which extends `Calendar`.
`int` | `getAttributeCount()`
`java.util.Date` | `getAttributeDateValue(int index)` Returns the value as a `Date`.
`java.util.Date` | `getAttributeDateValue(java.lang.String uri, java.lang.String local)` Returns the value as a `Date`.
`double` | `getAttributeDoubleValue(int index)` Returns the value as a double.
`double` | `getAttributeDoubleValue(java.lang.String uri, java.lang.String local)` Returns the value as a double.
`float` | `getAttributeFloatValue(int index)` Returns the value as a float.
`float` | `getAttributeFloatValue(java.lang.String uri, java.lang.String local)` Returns the value as a float.
`GDate` | `getAttributeGDateValue(int index)` Returns the value as a `GDate`.
`GDate` | `getAttributeGDateValue(java.lang.String uri, java.lang.String local)` Returns the value as a `GDate`.
`GDuration` | `getAttributeGDurationValue(int index)` Returns the value as a `GDuration`.
`GDuration` | `getAttributeGDurationValue(java.lang.String uri, java.lang.String local)` Returns the value as a `GDuration`.
`java.io.InputStream` | `getAttributeHexBinaryValue(int index)` Returns the decoded hexbinary value as an InputStream.
`java.io.InputStream` | `getAttributeHexBinaryValue(java.lang.String uri, java.lang.String local)` Returns the decoded hexbinary value as an InputStream.
`int` | `getAttributeIntValue(int index)` Returns the value as an int.
`int` | `getAttributeIntValue(java.lang.String uri, java.lang.String local)` Returns the value as an int.
`java.lang.String` | `getAttributeLocalName(int i)`
`long` | `getAttributeLongValue(int index)` Returns the value as a long.
`long` | `getAttributeLongValue(java.lang.String uri, java.lang.String local)` Returns the value as a long.
`javax.xml.namespace.QName` | `getAttributeName(int i)`
`java.lang.String` | `getAttributeNamespace(int i)`
`java.lang.String` | `getAttributePrefix(int i)`
`javax.xml.namespace.QName` | `getAttributeQNameValue(int index)` Returns the value as a `QName`.
`javax.xml.namespace.QName` | `getAttributeQNameValue(java.lang.String uri, java.lang.String local)` Returns the value as a `QName`.
`short` | `getAttributeShortValue(int index)` Returns the value as a short.
`short` | `getAttributeShortValue(java.lang.String uri, java.lang.String local)` Returns the value as a short.
`java.lang.String` | `getAttributeStringValue(int index)` Returns the value as a `String`.
`java.lang.String` | `getAttributeStringValue(int index, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`java.lang.String` | `getAttributeStringValue(java.lang.String uri, java.lang.String local)` Returns the value as a `String`.
`java.lang.String` | `getAttributeStringValue(java.lang.String uri, java.lang.String local, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`java.lang.String` | `getAttributeType(int i)`
`java.lang.String` | `getAttributeValue(int i)`
`java.lang.String` | `getAttributeValue(java.lang.String s, java.lang.String s1)`
`java.io.InputStream` | `getBase64Value()` Returns the decoded base64 value as anInputStream.
`java.math.BigDecimal` | `getBigDecimalValue()` Returns the value as a `BigDecimal`.
`java.math.BigInteger` | `getBigIntegerValue()` Returns the value as a `BigInteger`.
`boolean` | `getBooleanValue()` Returns the value as a boolean.
`byte` | `getByteValue()` Returns the value as a byte.
`XmlCalendar` | `getCalendarValue()` Returns the value as an XmlCalendar which extends `Calendar`.
`java.lang.String` | `getCharacterEncodingScheme()`
`java.util.Date` | `getDateValue()` Returns the value as a `Date`.
`double` | `getDoubleValue()` Returns the value as a double.
`java.lang.String` | `getElementText()`
`java.lang.String` | `getEncoding()`
`int` | `getEventType()`
`float` | `getFloatValue()` Returns the value as a float.
`GDate` | `getGDateValue()` Returns the value as a `GDate`.
`GDuration` | `getGDurationValue()` Returns the value as a `GDuration`.
`java.io.InputStream` | `getHexBinaryValue()` Returns the decoded hexbinary value as an InputStream.
`int` | `getIntValue()` Returns the value as an int.
`java.lang.String` | `getLocalName()`
`javax.xml.stream.Location` | `getLocation()`
`long` | `getLongValue()` Returns the value as a long.
`javax.xml.namespace.QName` | `getName()`
`javax.xml.namespace.NamespaceContext` | `getNamespaceContext()`
`int` | `getNamespaceCount()`
`java.lang.String` | `getNamespacePrefix(int i)`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNamespaceURI(int i)`
`java.lang.String` | `getNamespaceURI(java.lang.String s)`
`java.lang.String` | `getPIData()`
`java.lang.String` | `getPITarget()`
`java.lang.String` | `getPrefix()`
`java.lang.Object` | `getProperty(java.lang.String s)`
`javax.xml.namespace.QName` | `getQNameValue()` Returns the value as a `QName`.
`short` | `getShortValue()` Returns the value as a short.
`java.lang.String` | `getStringValue()` Returns the value as a `String`.
`java.lang.String` | `getStringValue(int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`java.lang.String` | `getText()`
`char[]` | `getTextCharacters()`
`int` | `getTextCharacters(int i, char[] chars, int i1, int i2)`
`int` | `getTextLength()`
`int` | `getTextStart()`
`javax.xml.stream.XMLStreamReader` | `getUnderlyingXmlStream()`
`java.lang.String` | `getVersion()`
`boolean` | `hasName()`
`boolean` | `hasNext()`
`boolean` | `hasText()`
`boolean` | `isAttributeSpecified(int i)`
`boolean` | `isCharacters()`
`boolean` | `isEndElement()`
`boolean` | `isStandalone()`
`boolean` | `isStartElement()`
`boolean` | `isWhiteSpace()`
`int` | `next()`
`int` | `nextTag()`
`void` | `require(int i, java.lang.String s, java.lang.String s1)`
`void` | `setDefaultValue(java.lang.String defaultValue)` Sets the default value for the next getXXXValue() call.
`boolean` | `standaloneSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStreamReaderExtImpl

    public XMLStreamReaderExtImpl(javax.xml.stream.XMLStreamReader xmlStream)

Method Detail

### getUnderlyingXmlStream

    public javax.xml.stream.XMLStreamReader getUnderlyingXmlStream()

### getStringValue

    public java.lang.String getStringValue()
                                    throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`.

  Specified by:
    `getStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getStringValue

    public java.lang.String getStringValue(int wsStyle)
                                    throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`, with wsStyle applied.

  Specified by:
    `getStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getBooleanValue

    public boolean getBooleanValue()
                            throws javax.xml.stream.XMLStreamException,
                                   InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a boolean.

  Specified by:
    `getBooleanValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getByteValue

    public byte getByteValue()
                      throws javax.xml.stream.XMLStreamException,
                             InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a byte.

  Specified by:
    `getByteValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getShortValue

    public short getShortValue()
                        throws javax.xml.stream.XMLStreamException,
                               InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a short.

  Specified by:
    `getShortValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getIntValue

    public int getIntValue()
                    throws javax.xml.stream.XMLStreamException,
                           InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an int.

  Specified by:
    `getIntValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getLongValue

    public long getLongValue()
                      throws javax.xml.stream.XMLStreamException,
                             InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a long.

  Specified by:
    `getLongValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getBigIntegerValue

    public java.math.BigInteger getBigIntegerValue()
                                            throws javax.xml.stream.XMLStreamException,
                                                   InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigInteger`.

  Specified by:
    `getBigIntegerValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getBigDecimalValue

    public java.math.BigDecimal getBigDecimalValue()
                                            throws javax.xml.stream.XMLStreamException,
                                                   InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigDecimal`.

  Specified by:
    `getBigDecimalValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getFloatValue

    public float getFloatValue()
                        throws javax.xml.stream.XMLStreamException,
                               InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a float.

  Specified by:
    `getFloatValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getDoubleValue

    public double getDoubleValue()
                          throws javax.xml.stream.XMLStreamException,
                                 InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a double.

  Specified by:
    `getDoubleValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getHexBinaryValue

    public java.io.InputStream getHexBinaryValue()
                                          throws javax.xml.stream.XMLStreamException,
                                                 InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded hexbinary value as an InputStream.

  Specified by:
    `getHexBinaryValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getBase64Value

    public java.io.InputStream getBase64Value()
                                       throws javax.xml.stream.XMLStreamException,
                                              InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded base64 value as anInputStream.

  Specified by:
    `getBase64Value` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getCalendarValue

    public XmlCalendar getCalendarValue()
                                 throws javax.xml.stream.XMLStreamException,
                                        InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an XmlCalendar which extends `Calendar`.

  Specified by:
    `getCalendarValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getDateValue

    public java.util.Date getDateValue()
                                throws javax.xml.stream.XMLStreamException,
                                       InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `Date`.

  Specified by:
    `getDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getGDateValue

    public GDate getGDateValue()
                        throws javax.xml.stream.XMLStreamException,
                               InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDate`.

  Specified by:
    `getGDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getGDurationValue

    public GDuration getGDurationValue()
                                throws javax.xml.stream.XMLStreamException,
                                       InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDuration`.

  Specified by:
    `getGDurationValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getQNameValue

    public javax.xml.namespace.QName getQNameValue()
                                            throws javax.xml.stream.XMLStreamException,
                                                   InvalidLexicalValueException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `QName`.

  Specified by:
    `getQNameValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`
    `InvalidLexicalValueException`

### getAttributeStringValue

    public java.lang.String getAttributeStringValue(int index)
                                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`.

  Specified by:
    `getAttributeStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    public java.lang.String getAttributeStringValue(int index,
                                                    int wsStyle)
                                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`, with wsStyle applied.

  Specified by:
    `getAttributeStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBooleanValue

    public boolean getAttributeBooleanValue(int index)
                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a boolean.

  Specified by:
    `getAttributeBooleanValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeByteValue

    public byte getAttributeByteValue(int index)
                               throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a byte.

  Specified by:
    `getAttributeByteValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeShortValue

    public short getAttributeShortValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a short.

  Specified by:
    `getAttributeShortValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeIntValue

    public int getAttributeIntValue(int index)
                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an int.

  Specified by:
    `getAttributeIntValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeLongValue

    public long getAttributeLongValue(int index)
                               throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a long.

  Specified by:
    `getAttributeLongValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigIntegerValue

    public java.math.BigInteger getAttributeBigIntegerValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigInteger`.

  Specified by:
    `getAttributeBigIntegerValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigDecimalValue

    public java.math.BigDecimal getAttributeBigDecimalValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigDecimal`.

  Specified by:
    `getAttributeBigDecimalValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeFloatValue

    public float getAttributeFloatValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a float.

  Specified by:
    `getAttributeFloatValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDoubleValue

    public double getAttributeDoubleValue(int index)
                                   throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a double.

  Specified by:
    `getAttributeDoubleValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeHexBinaryValue

    public java.io.InputStream getAttributeHexBinaryValue(int index)
                                                   throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded hexbinary value as an InputStream.

  Specified by:
    `getAttributeHexBinaryValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBase64Value

    public java.io.InputStream getAttributeBase64Value(int index)
                                                throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded base64 value as anInputStream.

  Specified by:
    `getAttributeBase64Value` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCalendarValue

    public XmlCalendar getAttributeCalendarValue(int index)
                                          throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an XmlCalendar which extends `Calendar`.

  Specified by:
    `getAttributeCalendarValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDateValue

    public java.util.Date getAttributeDateValue(int index)
                                         throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `Date`.

  Specified by:
    `getAttributeDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDateValue

    public GDate getAttributeGDateValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDate`.

  Specified by:
    `getAttributeGDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDurationValue

    public GDuration getAttributeGDurationValue(int index)
                                         throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDuration`.

  Specified by:
    `getAttributeGDurationValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeQNameValue

    public javax.xml.namespace.QName getAttributeQNameValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `QName`.

  Specified by:
    `getAttributeQNameValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    public java.lang.String getAttributeStringValue(java.lang.String uri,
                                                    java.lang.String local)
                                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`.

  Specified by:
    `getAttributeStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    public java.lang.String getAttributeStringValue(java.lang.String uri,
                                                    java.lang.String local,
                                                    int wsStyle)
                                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `String`, with wsStyle applied.

  Specified by:
    `getAttributeStringValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBooleanValue

    public boolean getAttributeBooleanValue(java.lang.String uri,
                                            java.lang.String local)
                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a boolean.

  Specified by:
    `getAttributeBooleanValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeByteValue

    public byte getAttributeByteValue(java.lang.String uri,
                                      java.lang.String local)
                               throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a byte.

  Specified by:
    `getAttributeByteValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeShortValue

    public short getAttributeShortValue(java.lang.String uri,
                                        java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a short.

  Specified by:
    `getAttributeShortValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeIntValue

    public int getAttributeIntValue(java.lang.String uri,
                                    java.lang.String local)
                             throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an int.

  Specified by:
    `getAttributeIntValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeLongValue

    public long getAttributeLongValue(java.lang.String uri,
                                      java.lang.String local)
                               throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a long.

  Specified by:
    `getAttributeLongValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigIntegerValue

    public java.math.BigInteger getAttributeBigIntegerValue(java.lang.String uri,
                                                            java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigInteger`.

  Specified by:
    `getAttributeBigIntegerValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigDecimalValue

    public java.math.BigDecimal getAttributeBigDecimalValue(java.lang.String uri,
                                                            java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `BigDecimal`.

  Specified by:
    `getAttributeBigDecimalValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeFloatValue

    public float getAttributeFloatValue(java.lang.String uri,
                                        java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a float.

  Specified by:
    `getAttributeFloatValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDoubleValue

    public double getAttributeDoubleValue(java.lang.String uri,
                                          java.lang.String local)
                                   throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a double.

  Specified by:
    `getAttributeDoubleValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeHexBinaryValue

    public java.io.InputStream getAttributeHexBinaryValue(java.lang.String uri,
                                                          java.lang.String local)
                                                   throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded hexbinary value as an InputStream.

  Specified by:
    `getAttributeHexBinaryValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBase64Value

    public java.io.InputStream getAttributeBase64Value(java.lang.String uri,
                                                       java.lang.String local)
                                                throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the decoded base64 value as anInputStream.

  Specified by:
    `getAttributeBase64Value` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCalendarValue

    public XmlCalendar getAttributeCalendarValue(java.lang.String uri,
                                                 java.lang.String local)
                                          throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as an XmlCalendar which extends `Calendar`.

  Specified by:
    `getAttributeCalendarValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDateValue

    public java.util.Date getAttributeDateValue(java.lang.String uri,
                                                java.lang.String local)
                                         throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `Date`.

  Specified by:
    `getAttributeDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDateValue

    public GDate getAttributeGDateValue(java.lang.String uri,
                                        java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDate`.

  Specified by:
    `getAttributeGDateValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDurationValue

    public GDuration getAttributeGDurationValue(java.lang.String uri,
                                                java.lang.String local)
                                         throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `GDuration`.

  Specified by:
    `getAttributeGDurationValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeQNameValue

    public javax.xml.namespace.QName getAttributeQNameValue(java.lang.String uri,
                                                            java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Returns the value as a `QName`.

  Specified by:
    `getAttributeQNameValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)
                         throws javax.xml.stream.XMLStreamException

  Description copied from interface: `XMLStreamReaderExt`
  Sets the default value for the next getXXXValue() call. For example: setDefaultValue("7"); //the xml looks like: int i = getIntValue(); // returns 7 // from now on the default value will not apply anymore Note: Works for getAttributeXXXValue(...) too.

  Specified by:
    `setDefaultValue` in interface `XMLStreamReaderExt`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getProperty

    public java.lang.Object getProperty(java.lang.String s)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    `getProperty` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `java.lang.IllegalArgumentException`

### next

    public int next()
             throws javax.xml.stream.XMLStreamException

  Specified by:
    `next` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### require

    public void require(int i,
                        java.lang.String s,
                        java.lang.String s1)
                 throws javax.xml.stream.XMLStreamException

  Specified by:
    `require` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getElementText

    public java.lang.String getElementText()
                                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `getElementText` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### nextTag

    public int nextTag()
                throws javax.xml.stream.XMLStreamException

  Specified by:
    `nextTag` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### hasNext

    public boolean hasNext()
                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `hasNext` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### close

    public void close()
               throws javax.xml.stream.XMLStreamException

  Specified by:
    `close` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String s)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### isStartElement

    public boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.XMLStreamReader`

### isEndElement

    public boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.XMLStreamReader`

### isCharacters

    public boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.XMLStreamReader`

### isWhiteSpace

    public boolean isWhiteSpace()

  Specified by:
    `isWhiteSpace` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String s,
                                              java.lang.String s1)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeCount

    public int getAttributeCount()

  Specified by:
    `getAttributeCount` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeName

    public javax.xml.namespace.QName getAttributeName(int i)

  Specified by:
    `getAttributeName` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeNamespace

    public java.lang.String getAttributeNamespace(int i)

  Specified by:
    `getAttributeNamespace` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeLocalName

    public java.lang.String getAttributeLocalName(int i)

  Specified by:
    `getAttributeLocalName` in interface `javax.xml.stream.XMLStreamReader`

### getAttributePrefix

    public java.lang.String getAttributePrefix(int i)

  Specified by:
    `getAttributePrefix` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeType

    public java.lang.String getAttributeType(int i)

  Specified by:
    `getAttributeType` in interface `javax.xml.stream.XMLStreamReader`

### getAttributeValue

    public java.lang.String getAttributeValue(int i)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`

### isAttributeSpecified

    public boolean isAttributeSpecified(int i)

  Specified by:
    `isAttributeSpecified` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceCount

    public int getNamespaceCount()

  Specified by:
    `getNamespaceCount` in interface `javax.xml.stream.XMLStreamReader`

### getNamespacePrefix

    public java.lang.String getNamespacePrefix(int i)

  Specified by:
    `getNamespacePrefix` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceURI

    public java.lang.String getNamespaceURI(int i)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceContext

    public javax.xml.namespace.NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.XMLStreamReader`

### getEventType

    public int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.XMLStreamReader`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `javax.xml.stream.XMLStreamReader`

### getTextCharacters

    public char[] getTextCharacters()

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`

### getTextCharacters

    public int getTextCharacters(int i,
                                 char[] chars,
                                 int i1,
                                 int i2)
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getTextStart

    public int getTextStart()

  Specified by:
    `getTextStart` in interface `javax.xml.stream.XMLStreamReader`

### getTextLength

    public int getTextLength()

  Specified by:
    `getTextLength` in interface `javax.xml.stream.XMLStreamReader`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `javax.xml.stream.XMLStreamReader`

### hasText

    public boolean hasText()

  Specified by:
    `hasText` in interface `javax.xml.stream.XMLStreamReader`

### getLocation

    public javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.XMLStreamReader`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `javax.xml.stream.XMLStreamReader`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.xml.stream.XMLStreamReader`

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `javax.xml.stream.XMLStreamReader`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `javax.xml.stream.XMLStreamReader`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `javax.xml.stream.XMLStreamReader`

### isStandalone

    public boolean isStandalone()

  Specified by:
    `isStandalone` in interface `javax.xml.stream.XMLStreamReader`

### standaloneSet

    public boolean standaloneSet()

  Specified by:
    `standaloneSet` in interface `javax.xml.stream.XMLStreamReader`

### getCharacterEncodingScheme

    public java.lang.String getCharacterEncodingScheme()

  Specified by:
    `getCharacterEncodingScheme` in interface `javax.xml.stream.XMLStreamReader`

### getPITarget

    public java.lang.String getPITarget()

  Specified by:
    `getPITarget` in interface `javax.xml.stream.XMLStreamReader`

### getPIData

    public java.lang.String getPIData()

  Specified by:
    `getPIData` in interface `javax.xml.stream.XMLStreamReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD